{% extends 'base.html' %}
{% load static %}

{% block content %}
    <section id="edit-account">
        <div class="row justify-content-center">
            <div class="col-12 col-md-8">
                <div class="card-body form-group py-5">
                    <h1 class="card-title text-center">EDIT YOUR ACCOUNT</h1>

                    <form method="post" enctype="multipart/form-data" novalidate>
                        {% csrf_token %}

                        <div class="row justify-content-center my-4">
                            <div class="col-12 col-md-9">
                                <div class="form-row d-flex justify-content-end mt-3">
                                    <div class="form-group col-5 text-end pe-5">
                                        <label for="{{ user_form.avatar.id_for_label }}" class="form-label">
                                            <strong>{{ user_form.avatar.label }}</strong>
                                        </label>
                                    </div>
                                    <div class="form-group col d-flex">
                                        <img id="user_avatar" src="{{ object.avatar.url }}" class="img-thumbnail" width="70" alt="avatar"/>
                                        <div class="d-flex flex-column my-auto ps-3">
                                            {{ user_form.avatar }}
                                            <a id="default" href="">Choose default</a>
                                        </div>

                                        {% if user_form.avatar.errors %}
                                            <div class="invalid-feedback text-start">
                                                {{ user_form.avatar.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>

                                {% for field in account_form %}
                                    <div class="form-row d-flex justify-content-center mt-3">
                                        <div class="form-group col-5 text-end pe-5">
                                            <label for="{{ field.id_for_label }}" class="form-label">
                                                <strong>{{ field.label }}</strong>
                                            </label>
                                        </div>
                                        <div class="form-group col">
                                            {{ field }}

                                            {% if field.errors %}
                                                <div class="invalid-feedback">
                                                    {{ field.errors }}
                                                </div>
                                            {% endif %}
                                        </div>
                                    </div>
                                {% endfor %}

                                <div class="form-row d-flex justify-content-center mt-3">
                                    <div class="form-group col-5 text-end pe-5">
                                        <label for="{{ user_form.eta.id_for_label }}" class="form-label">
                                            <strong>{{ user_form.eta.label }}</strong>
                                        </label>
                                    </div>
                                    <div class="form-group col">
                                        {{ user_form.eta }}

                                        {% if user_form.eta.errors %}
                                            <div class="invalid-feedback">
                                                {{ user_form.eta.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>

                                <div class="form-row d-flex justify-content-center mt-3">
                                    <div class="form-group col-5 text-end pe-5">
                                        <label for="{{ user_form.nazionalita.id_for_label }}" class="form-label">
                                            <strong>{{ user_form.nazionalita.label }}</strong>
                                        </label>
                                    </div>
                                    <div class="form-group col">
                                        {{ user_form.nazionalita }}

                                        {% if user_form.nazionalita.errors %}
                                            <div class="invalid-feedback">
                                                {{ user_form.nazionalita.errors }}
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-row d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary me-5">
                                <input type="hidden" name="image_file" value="">
                                SAVE
                            </button>
                            <a href="{% url 'profile' %}" class="btn btn-primary">CANCEL</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>

    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                let reader = new FileReader();

                reader.onload = function (e) {
                    $('img#user_avatar').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }

        $('input#id_avatar').change(function () {
            readURL(this);
        });

        $('a#default').click(function(e) {
            e.preventDefault();
            $('img#user_avatar').attr('src', {{ MEDIA_URL }} + '/avatar/avatar-default.png');
            $('input#id_avatar').val('');
            $('input[name="image_file"]').val('default-image');
        });
    </script>
{% endblock %}